com.genesyslab.wfm7.API.service.calendar761

## Class AgentTimeOffIndicators

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar761.AgentTimeOffIndicators

- All Implemented Interfaces:
    java.io.Serializable

      public class AgentTimeOffIndicators
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `calDateTimeOffIndicatorsNSizeIs` Date Time Off indicators array size
    `private DateTimeOffIndicators[]` | `dateIndicators` Time Off opening indicators for a date
    `private int` | `gsw_agent_id` Agent ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentTimeOffIndicators()`
    `AgentTimeOffIndicators(int gsw_agent_id, int calDateTimeOffIndicatorsNSizeIs, DateTimeOffIndicators[] dateIndicators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getCalDateTimeOffIndicatorsNSizeIs()` Gets the calDateTimeOffIndicatorsNSizeIs value for this AgentTimeOffIndicators.
    `DateTimeOffIndicators[]` | `getDateIndicators()` Gets the dateIndicators value for this AgentTimeOffIndicators.
    `int` | `getGsw_agent_id()` Gets the gsw_agent_id value for this AgentTimeOffIndicators.
    `int` | `hashCode()`
    `void` | `setCalDateTimeOffIndicatorsNSizeIs(int calDateTimeOffIndicatorsNSizeIs)` Sets the calDateTimeOffIndicatorsNSizeIs value for this AgentTimeOffIndicators.
    `void` | `setDateIndicators(DateTimeOffIndicators[] dateIndicators)` Sets the dateIndicators value for this AgentTimeOffIndicators.
    `void` | `setGsw_agent_id(int gsw_agent_id)` Sets the gsw_agent_id value for this AgentTimeOffIndicators.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gsw_agent_id

          private int gsw_agent_id

      Agent ID

    - #### calDateTimeOffIndicatorsNSizeIs

          private int calDateTimeOffIndicatorsNSizeIs

      Date Time Off indicators array size

    - #### dateIndicators

          private DateTimeOffIndicators[] dateIndicators

      Time Off opening indicators for a date

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### AgentTimeOffIndicators

          public AgentTimeOffIndicators()

    - #### AgentTimeOffIndicators

          public AgentTimeOffIndicators(int gsw_agent_id,
                                int calDateTimeOffIndicatorsNSizeIs,
                                DateTimeOffIndicators[] dateIndicators)

  - ### Method Detail

    - #### getGsw_agent_id

          public int getGsw_agent_id()

      Gets the gsw_agent_id value for this AgentTimeOffIndicators.
      Returns:
        gsw_agent_id

    - #### setGsw_agent_id

          public void setGsw_agent_id(int gsw_agent_id)

      Sets the gsw_agent_id value for this AgentTimeOffIndicators.
      Parameters:
        `gsw_agent_id` -

    - #### getCalDateTimeOffIndicatorsNSizeIs

          public int getCalDateTimeOffIndicatorsNSizeIs()

      Gets the calDateTimeOffIndicatorsNSizeIs value for this AgentTimeOffIndicators.
      Returns:
        calDateTimeOffIndicatorsNSizeIs

    - #### setCalDateTimeOffIndicatorsNSizeIs

          public void setCalDateTimeOffIndicatorsNSizeIs(int calDateTimeOffIndicatorsNSizeIs)

      Sets the calDateTimeOffIndicatorsNSizeIs value for this AgentTimeOffIndicators.
      Parameters:
        `calDateTimeOffIndicatorsNSizeIs` -

    - #### getDateIndicators

          public DateTimeOffIndicators[] getDateIndicators()

      Gets the dateIndicators value for this AgentTimeOffIndicators.
      Returns:
        dateIndicators

    - #### setDateIndicators

          public void setDateIndicators(DateTimeOffIndicators[] dateIndicators)

      Sets the dateIndicators value for this AgentTimeOffIndicators.
      Parameters:
        `dateIndicators` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.